Beta Hotfix 4 - Beta 2


EvilDragon

Administrator
Staff member
Joined
Mar 4, 2003
Messages
29,823
Age
44
Location
Ingolstadt
Just finished Hotfix 4 - Beta 2, it's now ready for testing.

Here are the current changes and fixes:

Hotfix 4 Beta 1:
* Kernel: Added Bluetooth patch by urjaman. PAN (bluetooth internet connections) work fine now.
* Nub Mousebuttons: Moving down is now middle mousebuttons. Recognition of mouseclicks with the nub has been enhanced (patch by urjaman)
* Pandora-Scripts: The internal scripts (CPU-Speed, Startup-Manager, etc.) have icons now.
* Lid: Opening / Closing will not affect the powersave mode anymore.
* Powersave mode: Changed the CPU Speed setting
* pnd_run: Cleaned up, added support for clockspeed setting
* libpnd: Finally support spaces in pathnames and PND-Names.
* Updated to a more recent XFCE4-Version

Hotfix 4 Beta 2:
* Pandora-Scripts: Readded Toggle WiFi to Mini Menu as well
* pnd_run: Enhanced clockspeed setting: User can now decide to set clockspeed without asking
* First-Run-Wizard and Time / Date script: Fixed bug of not-appearing calendar
* New default config for vim (thanks to Nils Kneuper (Ivanovic))
* Python: Added python-misc and python-modules
* New lib: libaudiofile0 now included


I only tested an update from a cleanly installed first OS, but theoretically, it should work without any problems.
Be sure to remove any previous Hotfix PNDs from your SD Card. The system will restart when everything is updated.

After installation, there is an opkg.log within appdata/updater4.openpandora.org/ on your SD-Card.
Please check for any serious errors and report them here. Everything should go smoothly though.

Download: HotFix4 Beta 2

BTW: One nice side-effect of the change pnd_run-script: You can place a file named cpuspeed into the appdata-directory of a game. It's simply a textfile with the CPU-Speed as number.
When running the game, it will run with the given CPU-Speed.
But don't forget: Overclocking kills kitten!
 

Karel Jansens

Member
Joined
Dec 21, 2007
Messages
679
Age
60
Location
Belgium, but trying to escape
Website
Visit site
EvilDragon said:
BTW: One nice side-effect of the change pnd_run-script: You can place a file named cpuspeed into the appdata-directory of a game. It's simply a textfile with the CPU-Speed as number.
When running the game, it will run with the given CPU-Speed.
But don't forget: Overclocking kills kitten!
Does that mean that someone could release a game that includes the instruction to set the CPU to a gazillion terahertz, without the Clueless User (that would be e.g. me) knowing their Panda's about to be fried?
 
Last edited by a moderator:

mali

-
Joined
Sep 30, 2008
Messages
6,543
Age
45
Location
EU
Website
Visit site
^ It won't fry as it doesn't allow voltage adjustment. The only thing that could happen is that you have to restart if the requested speed isn't stable.
 

jaycee900

Gamer Since 1980
Joined
Feb 28, 2004
Messages
456
Age
44
Location
Cambs, UK
Website
everylemming.blogspot.com
hi Ed, in minimenu i can turn on wifi and load a browser, but i cant log on, so i have to go the desktop and use email and the web browsers on that and reboot to get back to minimenu, any chance of fixing this issue in a later update?
Thanks
 

Null

Text
Joined
Jun 16, 2007
Messages
12,619
Website
www.pixelfed.social
WEBSITE
https://elderberry.sdf-eu.org
jaycee900 said:
hi Ed, in minimenu i can turn on wifi and load a browser, but i cant log on, so i have to go the desktop and use email and the web browsers on that and reboot to get back to minimenu, any chance of fixing this issue in a later update?
Thanks

+1

Also it would be nice if the charging light went out when the Pandora was fully charged. :)
 
Last edited by a moderator:

God Ginrai

Godmaster
Joined
Nov 27, 2005
Messages
5,466
Website
Visit site
Lurkio said:
jaycee900 said:
hi Ed, in minimenu i can turn on wifi and load a browser, but i cant log on, so i have to go the desktop and use email and the web browsers on that and reboot to get back to minimenu, any chance of fixing this issue in a later update?
Thanks

+1

Also it would be nice if the charging light went out when the Pandora was fully charged. :)

I actually like that is stays on. It lets me know that it is plugged in. Maybe I could blink in a certain pattern to indicate it is charged? As far as LEDs are concerned, I'm more interested in when we will get the WiFi light to be on at the right times.

-God Ginrai
 
Last edited by a moderator:
Joined
Dec 1, 2006
Messages
947
Location
Scotland
Website
Visit site
God Ginrai said:
I actually like that is stays on. It lets me know that it is plugged in. Maybe I could blink in a certain pattern to indicate it is charged? As far as LEDs are concerned, I'm more interested in when we will get the WiFi light to be on at the right times.

-God Ginrai

^^ this
 
Last edited by a moderator:

Null

Text
Joined
Jun 16, 2007
Messages
12,619
Website
www.pixelfed.social
WEBSITE
https://elderberry.sdf-eu.org
God Ginrai said:
I actually like that is stays on. It lets me know that it is plugged in. Maybe I could blink in a certain pattern to indicate it is charged? As far as LEDs are concerned, I'm more interested in when we will get the WiFi light to be on at the right times.

-God Ginrai

The green power LED would still be on to tell you that your Pandora is plugged in, it's the red charging LED that I want to go out so that I don't have to keep checking whether my Pandora has finished charging or not + I haven't had any problems with my WiFi light, I guess I'm just lucky. :)
 
Last edited by a moderator:

mcobit

Advanced Member
Joined
Jul 28, 2008
Messages
6,910
I can't switch gui in the system menu anymore. After choosing minimenu it is stuck in a loop after initialisation. It will load everything and then just reloads.
 

tsh

Active Member
Joined
Dec 19, 2008
Messages
775
Location
Cambridge
Website
Visit site
God Ginrai said:
I'm more interested in when we will get the WiFi light to be on at the right times.

-God Ginrai
Try the patch here. Its a bit of a hack, but it seems to do the job.
http://bugs.openpandora.org/index.php?do=details&task_id=144
 
Last edited by a moderator:

mali

-
Joined
Sep 30, 2008
Messages
6,543
Age
45
Location
EU
Website
Visit site
mcobit said:
I can't switch gui in the system menu anymore. After choosing minimenu it is stuck in a loop after initialisation. It will load everything and then just reloads.
Pull out the SD card and try again. It might be a problem with your card where you have to remove all PNDs and put them back on. It's best to start a new topic in the 'I need help' section if this doesn't work.
 
Last edited by a moderator:

joseluisjazz

Member
Joined
Oct 2, 2008
Messages
399
Thankyou for the link to the patch. I'll try it. Also I noticed that the wifi light always got restored for me if I used the "disable/enable wireless" checkmark on the network monitor applet right-click menu exclusively. But it was impossible to light it on again after using the openpandora script.
 

jdbye

Member
Joined
Dec 27, 2007
Messages
242
I got a lot of opkg MD5 mismatches in the log file, only some of the packages would install.
Here's the log file:
Code:
No packages removed.
Installing angstrom-version (1:2010.4-test-20100806-r2.5) to root...
Installing boost (1.41.0-r8.1.5) to root...
Installing boost-date-time (1.41.0-r8.1.5) to root...
Installing boost-filesystem (1.41.0-r8.1.5) to root...
Installing boost-graph (1.41.0-r8.1.5) to root...
Installing boost-iostreams (1.41.0-r8.1.5) to root...
Installing boost-program-options (1.41.0-r8.1.5) to root...
Installing boost-python (1.41.0-r8.1.5) to root...
Installing boost-regex (1.41.0-r8.1.5) to root...
Installing boost-serialization (1.41.0-r8.1.5) to root...
Installing boost-signals (1.41.0-r8.1.5) to root...
Installing boost-system (1.41.0-r8.1.5) to root...
Installing poppler-data (0.4.0-r1.5) to root...
Installing boost-test (1.41.0-r8.1.5) to root...
Installing boost-thread (1.41.0-r8.1.5) to root...
Installing db (4.3.29-r10.5) to root...
Installing espgs (8.15.3-r1.5) to root...
Installing evince (2.30.0-r0.5) to root...
Installing espgs (8.15.3-r1.5) to root...
Installing flac (1.2.1-r1.5) to root...
Installing gnome-vfs-plugin-ftp (2.24.1-r2.5) to root...
Installing gnome-vfs-plugin-http (2.24.1-r2.5) to root...
Installing libaudiofile0 (0.2.6-r8.5) to root...
Installing libcupsimage (1.2.12-r7.1.5) to root...
Installing libflac8 (1.2.1-r1.5) to root...
Installing libgdbm3 (1.8.3-r3.5) to root...
Installing libgudev-1.0-0 (151-r15.5) to root...
Installing libpoppler5 (0.12.3-r0.5) to root...
Installing libpoppler-glib4 (0.12.3-r0.5) to root...
Installing libtcl8.4-0 (8.4.19-r4.5) to root...
Installing libtk8.4-0 (8.4.19-r0.5) to root...
Configuring libgudev-1.0-0.
Configuring gnome-vfs-plugin-http.
Configuring gnome-vfs-plugin-ftp.
Configuring libgdbm3.
Configuring angstrom-version.
Configuring libcupsimage.
Configuring db.
Collected errors:
 * opkg_install_pkg: Package boost md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost.
 * opkg_install_pkg: Package boost-date-time md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-date-time.
 * opkg_install_pkg: Package boost-filesystem md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-filesystem.
 * opkg_install_pkg: Package boost-graph md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-graph.
 * opkg_install_pkg: Package boost-iostreams md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-iostreams.
 * opkg_install_pkg: Package boost-program-options md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-program-options.
 * opkg_install_pkg: Package boost-python md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-python.
 * opkg_install_pkg: Package boost-regex md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-regex.
 * opkg_install_pkg: Package boost-serialization md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-serialization.
 * opkg_install_pkg: Package boost-signals md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-signals.
 * opkg_install_pkg: Package boost-system md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-system.
 * opkg_install_pkg: Package poppler-data md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package poppler-data.
 * opkg_install_pkg: Package boost-test md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-test.
 * opkg_install_pkg: Package boost-thread md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package boost-thread.
 * opkg_install_pkg: Package espgs md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package espgs.
 * opkg_install_pkg: Package espgs md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package evince.
 * opkg_install_pkg: Package flac md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package flac.
 * opkg_install_pkg: Package libaudiofile0 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libaudiofile0.
 * opkg_install_pkg: Package libflac8 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libflac8.
 * opkg_install_pkg: Package libpoppler5 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libpoppler5.
 * opkg_install_pkg: Package libpoppler-glib4 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libpoppler-glib4.
 * opkg_install_pkg: Package libtcl8.4-0 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libtcl8.4-0.
 * opkg_install_pkg: Package libtk8.4-0 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package libtk8.4-0.
Installing libxfce4menu-0.1-0 (4.6.2-r1.5) to root...
Installing lua5.1 (5.1.4-r5.5) to root...
Installing lua5.1-doc (5.1.4-r5.5) to root...
Installing lua5.1-static (5.1.4-r5.5) to root...
Installing netbase (4.21-r42.5) to root...
Installing omap3-sgx-modules (1.4.14.2514-r20a.5) to root...
Upgrading pandora-first-run-wizard on root from 1.0-r20.5 to 1.0-r21.5...
Upgrading pandora-libpnd on root from 1.0-r27.5 to 1.0-r28.5...
Upgrading pandora-libpnd-minimenu on root from 1.0-r27.5 to 1.0-r28.5...
Upgrading pandora-libpnd-pndevmapperd on root from 1.0-r27.5 to 1.0-r28.5...
Upgrading pandora-libpnd-pndnotifyd on root from 1.0-r27.5 to 1.0-r28.5...
Installing pandora-misc (1.0-r7.5) to root...
Upgrading pandora-scripts on root from 1.0-r39.5 to 1.0-r40.5...
Installing pandora-state (1.0-r5.5) to root...
Installing pandora-sudoers (1.0-r7.5) to root...
Installing thunar (1.0.2-r0.5) to root...
Installing tzdata (2010g-r0.5) to root...
Installing tzdata-africa (2010g-r0.5) to root...
Installing tzdata-americas (2010g-r0.5) to root...
Installing tzdata-antarctica (2010g-r0.5) to root...
Installing tzdata-arctic (2010g-r0.5) to root...
Installing tzdata-asia (2010g-r0.5) to root...
Installing tzdata-atlantic (2010g-r0.5) to root...
Installing tzdata-australia (2010g-r0.5) to root...
Installing tzdata-dbg (2010g-r0.5) to root...
Installing tzdata-europe (2010g-r0.5) to root...
Installing tzdata-misc (2010g-r0.5) to root...
Installing tzdata-pacific (2010g-r0.5) to root...
Installing tzdata-posix (2010g-r0.5) to root...
Installing tzdata-right (2010g-r0.5) to root...
 System startup links for /etc/init.d/oprun-init already exist.
Restarting OpenPandora Startup Script Deamon: opruninitOpenPandora Startup Script Deamon: opruninit not running.
\nOP_STARTUP: /etc/pandora/first-boot exists, not first boot.
.
 System startup links for /etc/init.d/pndnotifyd-init already exist.
Restarting Pandora PND Deamon: pndnotifydPandora PND Deamon: pndnotifyd already running.
.
 System startup links for /etc/init.d/pndevmapperd-init already exist.
Restarting Pandora PND Event Deamon: pndevmapperdPandora PND Event Deamon: pndevmapperd already running.
.
 System startup links for /etc/init.d/pandora-state already exist.
 System startup links for /etc/init.d/networking already exist.
Configuring pandora-first-run-wizard.
Configuring omap3-sgx-modules.
Configuring tzdata-right.
Configuring libxfce4menu-0.1-0.
Configuring lua5.1-static.
Configuring tzdata-pacific.
Configuring tzdata-posix.
Configuring pandora-libpnd-pndnotifyd.
Configuring pandora-libpnd-pndevmapperd.
Configuring pandora-libpnd.
Configuring pandora-libpnd-minimenu.
Configuring tzdata.
Configuring pandora-state.
Configuring netbase.
Configuring tzdata-arctic.
Configuring tzdata-africa.
Configuring pandora-sudoers.
Configuring pandora-scripts.
Configuring pandora-misc.
Configuring tzdata-misc.
Configuring tzdata-dbg.
Configuring tzdata-europe.
Configuring tzdata-americas.
Configuring tzdata-atlantic.
Configuring tzdata-australia.
Configuring tzdata-antarctica.
Configuring tzdata-asia.
Collected errors:
 * opkg_install_pkg: Package lua5.1 md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package lua5.1.
 * opkg_install_pkg: Package lua5.1-doc md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package lua5.1-doc.
 * resolve_conffiles: Existing conffile /etc/hosts is different from the conffile in the new package. The new conffile will be placed at /etc/hosts-opkg.
 * opkg_install_pkg: Package thunar md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package thunar.
 * resolve_conffiles: Existing conffile /etc/localtime is different from the conffile in the new package. The new conffile will be placed at /etc/localtime-opkg.
Installing python-bsddb (2.6.2-ml8.0.5) to root...
Installing python-compile (2.6.2-ml8.0.5) to root...
Installing python-compiler (2.6.2-ml8.0.5) to root...
Installing python-compression (2.6.2-ml8.0.5) to root...
Installing python-zlib (2.6.2-ml8.0.5) to root...
Installing python-ctypes (2.6.2-ml8.0.5) to root...
Installing python-curses (2.6.2-ml8.0.5) to root...
Installing python-db (2.6.2-ml8.0.5) to root...
Installing python-debugger (2.6.2-ml8.0.5) to root...
Installing python-shell (2.6.2-ml8.0.5) to root...
Installing python-devel (2.6.2-ml8.0.5) to root...
Installing python-difflib (2.6.2-ml8.0.5) to root...
Installing python-distutils (2.6.2-ml8.0.5) to root...
Installing python-doctest (2.6.2-ml8.0.5) to root...
Installing python-unittest (2.6.2-ml8.0.5) to root...
Installing python-elementtree (2.6.2-ml8.0.5) to root...
Installing python-fcntl (2.6.2-ml8.0.5) to root...
Installing python-gdbm (2.6.2-ml8.0.5) to root...
Installing python-hotshot (2.6.2-ml8.0.5) to root...
Installing python-html (2.6.2-ml8.0.5) to root...
Installing python-idle (2.6.2-ml8.0.5) to root...
Installing python-tkinter (2.6.2-ml8.0.5) to root...
Installing libtk8.4-0 (8.4.19-r0.5) to root...
Downloading http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/libtk8.4-0_8.4.19-r0.5_armv7a.ipk.
Installing python-json (2.6.2-ml8.0.5) to root...
Installing python-mailbox (2.6.2-ml8.0.5) to root...
Installing python-misc (2.6.2-ml8.0.5) to root...
Installing python-mmap (2.6.2-ml8.0.5) to root...
Installing python-modules (2.6.2-ml8.0.5) to root...
Installing python-profile (2.6.2-ml8.0.5) to root...
Installing python-xmlrpc (2.6.2-ml8.0.5) to root...
Installing python-netserver (2.6.2-ml8.0.5) to root...
Installing python-terminal (2.6.2-ml8.0.5) to root...
Installing python-tests (2.6.2-ml8.0.5) to root...
Installing python-resource (2.6.2-ml8.0.5) to root...
Installing python-syslog (2.6.2-ml8.0.5) to root...
Installing python-smtpd (2.6.2-ml8.0.5) to root...
Installing python-subprocess (2.6.2-ml8.0.5) to root...
Installing python-pydoc (2.6.2-ml8.0.5) to root...
Installing python-sqlite3 (2.6.2-ml8.0.5) to root...
Installing python-sqlite3-tests (2.6.2-ml8.0.5) to root...
Installing python-multiprocessing (2.6.2-ml8.0.5) to root...
Installing python-robotparser (2.6.2-ml8.0.5) to root...
Installing python-pkgutil (2.6.2-ml8.0.5) to root...
Installing python-idle (2.6.2-ml8.0.5) to root...
Package python-multiprocessing (2.6.2-ml8.0.5) installed in root is up to date.
Package python-netserver (2.6.2-ml8.0.5) installed in root is up to date.
Package python-pkgutil (2.6.2-ml8.0.5) installed in root is up to date.
Package python-profile (2.6.2-ml8.0.5) installed in root is up to date.
Installing python-pycairo (1.4.0-ml3.5) to root...
Package python-pydoc (2.6.2-ml8.0.5) installed in root is up to date.
Installing python-pygtk (2.16.0-r1.5) to root...
Package python-resource (2.6.2-ml8.0.5) installed in root is up to date.
Package python-robotparser (2.6.2-ml8.0.5) installed in root is up to date.
Package python-shell (2.6.2-ml8.0.5) installed in root is up to date.
Package python-smtpd (2.6.2-ml8.0.5) installed in root is up to date.
Package python-sqlite3 (2.6.2-ml8.0.5) installed in root is up to date.
Package python-sqlite3-tests (2.6.2-ml8.0.5) installed in root is up to date.
Package python-subprocess (2.6.2-ml8.0.5) installed in root is up to date.
Package python-syslog (2.6.2-ml8.0.5) installed in root is up to date.
Package python-terminal (2.6.2-ml8.0.5) installed in root is up to date.
Package python-tests (2.6.2-ml8.0.5) installed in root is up to date.
Package python-tkinter (2.6.2-ml8.0.5) installed in root is up to date.
Package python-unittest (2.6.2-ml8.0.5) installed in root is up to date.
Package python-xmlrpc (2.6.2-ml8.0.5) installed in root is up to date.
Package python-zlib (2.6.2-ml8.0.5) installed in root is up to date.
Configuring python-tkinter.
Configuring python-tests.
Configuring python-shell.
Configuring python-syslog.
Configuring python-curses.
Configuring python-netserver.
Configuring python-xmlrpc.
Configuring python-json.
Configuring python-mailbox.
Configuring python-db.
Configuring python-difflib.
Configuring python-pycairo.
Configuring python-distutils.
Configuring python-pydoc.
Configuring python-resource.
Configuring python-unittest.
Configuring python-debugger.
Configuring python-elementtree.
Configuring python-ctypes.
Configuring python-gdbm.
Configuring python-mmap.
Configuring python-smtpd.
Configuring python-pygtk.
Configuring python-bsddb.
Configuring python-zlib.
Configuring python-sqlite3.
Configuring python-compile.
Configuring python-robotparser.
Configuring python-compiler.
Configuring python-sqlite3-tests.
Configuring python-devel.
Configuring python-multiprocessing.
Configuring python-fcntl.
Configuring python-pkgutil.
Configuring python-subprocess.
Configuring python-hotshot.
Configuring python-profile.
Configuring python-doctest.
Configuring python-compression.
Configuring python-terminal.
Configuring python-html.
Configuring python-idle.
Configuring python-modules.
Configuring python-misc.
Collected errors:
 * opkg_download: Failed to download http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/libtk8.4-0_8.4.19-r0.5_armv7a.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download libtk8.4-0. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package python-idle.
Installing udev (151-r15.5) to root...
Installing udev-utils (151-r15.5) to root...
Package udev-utils (151-r15.5) installed in root is up to date.
Installing wl1251-modules (1.0-r20.5) to root...
Installing xfce4-appfinder (4.6.2-r1.5) to root...
Installing xfconf (4.6.2-r1.5) to root...
Installing thunar (1.0.2-r0.5) to root...
Downloading http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/thunar_1.0.2-r0.5_armv7a.ipk.
Installing xfce4-panel (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-actions (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-clock (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-iconbox (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-launcher (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-pager (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-separator (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-showdesktop (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-systray (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-tasklist (4.6.4-r1.5) to root...
Installing xfce4-panel-plugin-windowlist (4.6.4-r1.5) to root...
Installing xfce4-session (4.6.2-r1.5) to root...
Installing xfce-utils (4.6.2-r1.5) to root...
Installing xfce-terminal (0.4.5-r1.5) to root...
Package xfce-utils (4.6.2-r1.5) installed in root is up to date.
Package xfconf (4.6.2-r1.5) installed in root is up to date.
Installing xfdesktop (4.6.2-r1.5) to root...
Installing thunar (1.0.2-r0.5) to root...
Installing xfwm4 (4.6.2-r1.5) to root...
Installing xfwm4-theme-default (4.6.2-r1.5) to root...
Installing xfwm4 (4.6.2-r1.5) to root...
Installing xfwm4-theme-daloa (4.6.2-r1.5) to root...
Package xfwm4-theme-default (4.6.2-r1.5) installed in root is up to date.
Installing xfwm4-theme-kokodi (4.6.2-r1.5) to root...
Installing xfwm4-theme-moheli (4.6.2-r1.5) to root...
Installing xfwm4-theme-sassandra (4.6.2-r1.5) to root...
Upgrading task-pandora-core on root from 1.0-r32.5 to 1.0-r34.5...
Installing boost (1.41.0-r8.1.5) to root...
Downloading http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/boost_1.41.0-r8.1.5_armv7a.ipk.
Upgrading task-pandora-xfce on root from 1.0-r33.5 to 1.0-r36.5...
 System startup links for /etc/init.d/udev already exist.
 System startup links for /etc/init.d/udev-cache already exist.
update-alternatives: Linking //usr/bin/x-window-manager to /usr/bin/xfce4-session
 Adding system startup for /etc/init.d/wl1251-init.
Starting WL1251 MAC80211 Wireless LAN driver: wl1251.
Installing evince (2.30.0-r1.5) to root...
Downloading http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/evince_2.30.0-r1.5_armv7a.ipk.
Configuring xfconf.
Configuring udev-utils.
Configuring udev.
Configuring xfwm4-theme-default.
Configuring xfwm4.
Configuring xfwm4-theme-daloa.
Configuring xfce4-panel.
Configuring xfce4-panel-plugin-separator.
Configuring wl1251-modules.
Configuring xfce-utils.
Configuring xfce4-panel-plugin-showdesktop.
Configuring xfwm4-theme-kokodi.
Configuring xfce4-session.
Configuring xfce4-panel-plugin-windowlist.
Configuring xfwm4-theme-sassandra.
Configuring xfce4-panel-plugin-systray.
Configuring xfce4-panel-plugin-iconbox.
Configuring xfce4-panel-plugin-clock.
Configuring xfce4-panel-plugin-launcher.
Configuring xfce4-panel-plugin-actions.
Configuring xfce4-panel-plugin-pager.
Configuring xfce4-panel-plugin-tasklist.
Configuring xfce-terminal.
Configuring xfwm4-theme-moheli.
Collected errors:
 * opkg_download: Failed to download http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/thunar_1.0.2-r0.5_armv7a.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download thunar. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package xfce4-appfinder.
 * opkg_install_pkg: Package thunar md5sum mismatch. Either the opkg or the package index are corrupt. Try 'opkg update'.
 * opkg_install_cmd: Cannot install package xfdesktop.
 * opkg_download: Failed to download http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/boost_1.41.0-r8.1.5_armv7a.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download boost. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package task-pandora-core.
 * opkg_download: Failed to download http://www.angstrom-distribution.org/feeds/unstable/ipk/glibc/armv7a/base/evince_2.30.0-r1.5_armv7a.ipk, wget returned 1.
 * opkg_install_pkg: Failed to download evince. Perhaps you need to run 'opkg update'?
 * opkg_install_cmd: Cannot install package task-pandora-xfce.
 

j.pickens

Member
Joined
Oct 5, 2008
Messages
450
Location
Exit 7, New Jersey
Website
Visit site
I downloaded the hotfix on my PC, copied it to my SD card, and it won't execute.
It doesn't show up on the desktop, either, and when I copy link to desktop, nothing happens.
Could be some SD card foolishness, so I'll try another card, but all the other PND's on the card run fine.
 

EvilDragon

Administrator
Staff member
Joined
Mar 4, 2003
Messages
29,823
Age
44
Location
Ingolstadt
atomicthumbs said:
Is there any chance we could get a firmware image with the hotfix applied?


Is always available before the hotfix is released on http://openpandora.org/firmware/

Karel Jansens said:
EvilDragon said:
BTW: One nice side-effect of the change pnd_run-script: You can place a file named cpuspeed into the appdata-directory of a game. It's simply a textfile with the CPU-Speed as number.
When running the game, it will run with the given CPU-Speed.
But don't forget: Overclocking kills kitten!
Does that mean that someone could release a game that includes the instruction to set the CPU to a gazillion terahertz, without the Clueless User (that would be e.g. me) knowing their Panda's about to be fried?

No, it will always warn if you try to overclock.

jaycee900 said:
hi Ed, in minimenu i can turn on wifi and load a browser, but i cant log on, so i have to go the desktop and use email and the web browsers on that and reboot to get back to minimenu, any chance of fixing this issue in a later update?
Thanks

We would need a Network Manager GUI for MiniMenu... anyone up for it? :)

Mqark said:
ED, can you please confirm if the TV out script in included in this hotfix as earlier indicated? Thanks.

Not yet, have a very first version here, will be included in the final.

Jdbye said:
I got a lot of opkg MD5 mismatches in the log file, only some of the packages would install.

Hm, have you been online? Or done an opkg update once before?
 
Last edited:

jdbye

Member
Joined
Dec 27, 2007
Messages
242
EvilDragon said:
Or done an opkg update once before?
Yeah, I had to install some libraries for Minitube.
 
Last edited by a moderator:
Top